# InMemoryStore

    public final class InMemoryStore : StorageInterface

    extension InMemoryStore: CustomDebugStringConvertible, CoreStoreDebugStringConvertible

A storage interface that is backed only in memory.

- `init(configuration:)`

  Initializes an `InMemoryStore` for the specified configuration

  #### Declaration

  Swift

      public init(configuration: ModelConfiguration)

  #### Parameters

  `configuration` | an optional configuration name from the model file. If not specified, defaults to `nil`, the “Default” configuration.

- `init()`

  Initializes an `InMemoryStore` with the “Default” configuration

  #### Declaration

  Swift

      public init()

### StorageInterface

- `storeType`

  The string identifier for the `NSPersistentStore`‘s `type` property. For `InMemoryStore`s, this is always set to `NSInMemoryStoreType`.

  #### Declaration

  Swift

      public static let storeType: String

- `configuration`

  The configuration name in the model file

  #### Declaration

  Swift

      public let configuration: ModelConfiguration

- `storeOptions`

  The options dictionary for the `NSPersistentStore`. For `InMemoryStore`s, this is always set to `nil`.

  #### Declaration

  Swift

      public let storeOptions: [AnyHashable : Any]?

- `cs_didAddToDataStack(_:)`

  Do not call directly. Used by the `DataStack` internally.

  #### Declaration

  Swift

      public func cs_didAddToDataStack(_ dataStack: DataStack)

- `cs_didRemoveFromDataStack(_:)`

  Do not call directly. Used by the `DataStack` internally.

  #### Declaration

  Swift

      public func cs_didRemoveFromDataStack(_ dataStack: DataStack)

### CustomDebugStringConvertible

- `debugDescription`

  #### Declaration

  Swift

      public var debugDescription: String { get }